Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 669678 - x11-libs/xapps-1.0.4 : /.../sh: glib-mkenums: command not found
Summary: x11-libs/xapps-1.0.4 : /.../sh: glib-mkenums: command not found
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cinnamon Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-utils
  Show dependency tree
 
Reported: 2018-10-26 15:16 UTC by Toralf Förster
Modified: 2020-09-09 02:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.93 KB, text/plain)
2018-10-26 15:16 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,237.14 KB, text/plain)
2018-10-26 15:16 UTC, Toralf Förster
Details
environment (environment,99.34 KB, text/plain)
2018-10-26 15:16 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.21 KB, application/x-bzip)
2018-10-26 15:16 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,13.94 KB, application/x-bzip)
2018-10-26 15:16 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.49 KB, application/x-bzip)
2018-10-26 15:16 UTC, Toralf Förster
Details
x11-libs:xapps-1.0.4:20181026-072945.log (x11-libs:xapps-1.0.4:20181026-072945.log,44.51 KB, text/plain)
2018-10-26 15:16 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-10-26 15:16:00 UTC
make[2]: Entering directory '/var/tmp/portage/x11-libs/xapps-1.0.4/work/xapps-1.0.4/schemas'
glib-mkenums --comments '<!-- @comment@ -->' --fhead "<schemalist>" --vhead "  <@type@ id='org.x.apps.@EnumName@'>" --vprod "    <value nick='@valuenick@' value='@valuenum@'/>" --vtail "  </@type@>" --ftail "</schemalist>" ../libxapp/xapp-gtk-window.h ../libxapp/xapp-monitor-blanker.h ../libxapp/xapp-kbd-layout-controller.h > org.x.apps.enums.xml.tmp && mv org.x.apps.enums.xml.tmp org.x.apps.enums.xml
/bin/sh: glib-mkenums: command not found
make[2]: *** [Makefile:577: org.x.apps.enums.xml] Error 127
make[2]: Leaving directory '/var/tmp/portage/x11-libs/xapps-1.0.4/work/xapps-1.0.4/schemas'
make[1]: *** [Makefile:494: all-recursive] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-gnome_libressl-test_20181021-101929

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 3.9.0 [icedtea-8]
*)	IcedTea JDK 3.9.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8  system-vm

emerge -qpvO x11-libs/xapps
[ebuild  N    ] x11-libs/xapps-1.0.4  USE="introspection -static-libs"
Comment 1 Toralf Förster gentoo-dev 2018-10-26 15:16:03 UTC
Created attachment 553118 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-10-26 15:16:05 UTC
Created attachment 553120 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-10-26 15:16:08 UTC
Created attachment 553122 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-10-26 15:16:11 UTC
Created attachment 553124 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-10-26 15:16:13 UTC
Created attachment 553126 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-10-26 15:16:21 UTC
Created attachment 553128 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-10-26 15:16:24 UTC
Created attachment 553130 [details]
x11-libs:xapps-1.0.4:20181026-072945.log
Comment 8 Larry the Git Cow gentoo-dev 2020-09-09 02:15:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ce2bc49147383eeb1ca793f6b3eb34f85a166d4

commit 5ce2bc49147383eeb1ca793f6b3eb34f85a166d4
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-07-29 18:50:18 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-09 02:15:01 +0000

    x11-libs/xapps: Add missing glib-utils dependency
    
    Closes: https://bugs.gentoo.org/669678
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 x11-libs/xapps/xapps-1.4.2.ebuild | 3 ++-
 x11-libs/xapps/xapps-1.8.4.ebuild | 1 +
 x11-libs/xapps/xapps-1.8.9.ebuild | 1 +
 3 files changed, 4 insertions(+), 1 deletion(-)